import request from '@/utils/request'

// 查询门店经纬度重置记录列表
export function listStorePositionRefresh(query) {
  return request({
    url: '/sfa/storePositionRefresh/list',
    method: 'get',
    params: query
  })
}

// 查询门店经纬度重置记录详细
export function getStorePositionRefresh(refreshId) {
  return request({
    url: '/sfa/storePositionRefresh/' + refreshId,
    method: 'get'
  })
}

// 新增门店经纬度重置记录
export function addStorePositionRefresh(data) {
  return request({
    url: '/sfa/storePositionRefresh',
    method: 'post',
    data: data
  })
}

// 修改门店经纬度重置记录
export function updateStorePositionRefresh(data) {
  return request({
    url: '/sfa/storePositionRefresh',
    method: 'put',
    data: data
  })
}

// 删除门店经纬度重置记录
export function delStorePositionRefresh(refreshId) {
  return request({
    url: '/sfa/storePositionRefresh/' + refreshId,
    method: 'delete'
  })
}
